Difference between revisions of "ALT Linux"

From cchtml.com
Jump to: navigation, search
m (Protected "ALT Linux": Excessive vandalism (‎[edit=autoconfirmed] (expires 05:20, 31 March 2013 (UTC)) ‎[move=autoconfirmed] (expires 05:20, 31 March 2013 (UTC))))
 
(12 intermediate revisions by 8 users not shown)
Line 1: Line 1:
 
== Intro ==
 
== Intro ==
[http://www.altlinux.org ALTLinux] uses repackaged official rpms since 2003. From <code>8.20.8</code> version we use repackaged installer for unified build for all supported distributions and upstable repository (due lack of rpm supporting xorg 7.0). All disributions from Master 2.4 have fglrx as part of kernel-complete package installed on first stage. So if you install any ALTLinux distribution (starting from Master-2.4) you have recent fglrx already. Next steps are necessary if you want install fglrx independently or if stock version from distribution are old for your hardware (like X1K series).
+
[http://www.altlinux.org ALT Linux] uses repackaged official rpms since 2003. From <code>8.20.8</code> version we use repackaged installer for unified build for all supported distributions and upstable repository (due lack of rpm supporting xorg 7.0). All disributions from Master 2.4 have fglrx as part of kernel-complete package installed on first stage. So if you install any ALT Linux distribution (starting from Master-2.4) you have recent fglrx already. Next steps are necessary if you want install fglrx independently or if stock version from distribution are old for your hardware (like X1K series).
  
 
Features in brief:
 
Features in brief:
Line 8: Line 8:
  
 
== Prepare stage ==
 
== Prepare stage ==
fglrx package in ALTLinux consist of 3 parts: kernel module, glx/x11 driver part and configuration tools package. All 3 parts are depends from each other. So for manual install you must prepare/download 3 packages:
+
fglrx package in ALT Linux consist of 3 parts: kernel module, glx/x11 driver part and configuration tools package. All 3 parts are depends from each other. So for manual install you must prepare/download 3 packages:
  
 
* fglrx_glx (glx/x11 driver part)
 
* fglrx_glx (glx/x11 driver part)
Line 32: Line 32:
  
 
== Useful resources ==
 
== Useful resources ==
# [http://faq.altlinux.ru/ ALTLinux FAQ]. Have some notes (in russian) about fglrx. Use <code>fglrx</code> keyword in search form.
+
# [http://faq.altlinux.ru/ ALT Linux FAQ]. Have some notes (in russian) about fglrx. Use <code>fglrx</code> keyword in search form.
 
# [http://backports.altlinux.ru Sisyphus Backports page]. Backports is the packages from unstabe [http://www.sisyphus.ru Sisyphus repository] made for older distrubutions. Have recent fglrx packages for Master-2.4.
 
# [http://backports.altlinux.ru Sisyphus Backports page]. Backports is the packages from unstabe [http://www.sisyphus.ru Sisyphus repository] made for older distrubutions. Have recent fglrx packages for Master-2.4.
# [http://www.altlinux.org ALTLinux page]
+
# [http://www.altlinux.org ALT Linux page]
  
 
{{VCT}}
 
{{VCT}}
 
[[Category:Distributions]]
 
[[Category:Distributions]]

Latest revision as of 00:20, 17 March 2013

Contents

[edit] Intro

ALT Linux uses repackaged official rpms since 2003. From 8.20.8 version we use repackaged installer for unified build for all supported distributions and upstable repository (due lack of rpm supporting xorg 7.0). All disributions from Master 2.4 have fglrx as part of kernel-complete package installed on first stage. So if you install any ALT Linux distribution (starting from Master-2.4) you have recent fglrx already. Next steps are necessary if you want install fglrx independently or if stock version from distribution are old for your hardware (like X1K series).

Features in brief:

  1. i386 and x86_64 packages.
  2. unifield build for all supported distrbutions.
  3. fixes for recent (2.6.16 ) and non-standard (realtime-preempt) kernels.

[edit] Prepare stage

fglrx package in ALT Linux consist of 3 parts: kernel module, glx/x11 driver part and configuration tools package. All 3 parts are depends from each other. So for manual install you must prepare/download 3 packages:

  • fglrx_glx (glx/x11 driver part)
  • kernel-modules-fglrx-%flavour-%version (%flavour kernel fglrx module)
  • fglrx-tools (optional).


%flavour may be identified by uname -a string. May be std-(up|smp), std26-(up|smp), wks-(up|smp), wks26-(up|smp) etc.

[edit] Install stage

Afer download/prepare you may install packages using rpm (for packages made manually) or apt (for repositories).

example install string for rpm:

 # rpm -ihv fglrx_glx-%version.i586.rpm kernel-modules-fglrx-%flavour-%version.i586.rpm fglrx_tools-%version.i586.rpm


where %version is fglrx version what you want install

example string for apt:

 # apt-get install fglrx_glx kernel-modules-fglrx-%flavour fglrx_tools

[edit] Useful resources

  1. ALT Linux FAQ. Have some notes (in russian) about fglrx. Use fglrx keyword in search form.
  2. Sisyphus Backports page. Backports is the packages from unstabe Sisyphus repository made for older distrubutions. Have recent fglrx packages for Master-2.4.
  3. ALT Linux page


Distribution Neutral Steps

Verifying | Configuring | Troubleshooting